Subject: Re: bug#55113: [BUG] texlive-bin doesn't set $TEXMFCACHE properly

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 15 Jul 2022 20:30:39 -0400

Hi,

Christopher Rodriguez <[email-masked]> writes:

> Hello all,
>
> I'm currently switching from using the monolithic texlive package to a
> bunch of the broken-out, smaller ones. However, when texlive-bin is
> installed (and thus, when luaotfload-tool is available), the environment
> variable $TEXMFCACHE is not defined. This leads to it being auto-detected
> (and incorrectly identified somehow as
> `$PWD/'{'$GUIX_PROFILE/share/texmf-dist` which is read-only.)

Could you share your workload to demonstrate the problem (reproducer),
if it's not too complicated?  texlive-bin sets GUIX_TEXMF; perhaps
TEXMFCACHE is derived from it in the default texlive config.

Thanks,

Maxim